<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: ElementPicker Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_element_picker.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_element_picker-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">ElementPicker Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ElementPicker:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_element_picker.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af7581458cf7547f28593a35c6bbcb049"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_element_picker.html#af7581458cf7547f28593a35c6bbcb049">UpdateElementPicker</a> (string element)</td></tr>
<tr class="memdesc:af7581458cf7547f28593a35c6bbcb049"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the card accordingly to the selected object.  <a href="class_element_picker.html#af7581458cf7547f28593a35c6bbcb049">More...</a><br /></td></tr>
<tr class="separator:af7581458cf7547f28593a35c6bbcb049"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a925765ebdc7b333d74d3dd75560768c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_element_picker.html#a925765ebdc7b333d74d3dd75560768c5">UpdateVivianElementTemplate</a> (ElementType type, string templateName=null)</td></tr>
<tr class="memdesc:a925765ebdc7b333d74d3dd75560768c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the current Vivian element UI template.  <a href="class_element_picker.html#a925765ebdc7b333d74d3dd75560768c5">More...</a><br /></td></tr>
<tr class="separator:a925765ebdc7b333d74d3dd75560768c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bace01ca4ab5ddf4cb80df543fd9e9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_element_picker.html#a7bace01ca4ab5ddf4cb80df543fd9e9e">ChangeVivianElement</a> (VisualElement visualElement, ElementType type)</td></tr>
<tr class="memdesc:a7bace01ca4ab5ddf4cb80df543fd9e9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the Vivian UI element with the current template.  <a href="class_element_picker.html#a7bace01ca4ab5ddf4cb80df543fd9e9e">More...</a><br /></td></tr>
<tr class="separator:a7bace01ca4ab5ddf4cb80df543fd9e9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd3b224946b891ac45d91ed7f3938017"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_element_picker.html#acd3b224946b891ac45d91ed7f3938017">RemoveAllVivianComponents</a> ()</td></tr>
<tr class="memdesc:acd3b224946b891ac45d91ed7f3938017"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes all the Vivian Components scripts that are attached to the element picker.  <a href="class_element_picker.html#acd3b224946b891ac45d91ed7f3938017">More...</a><br /></td></tr>
<tr class="separator:acd3b224946b891ac45d91ed7f3938017"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:abdb433913ce16ff3ae297b0340a186df"><td class="memItemLeft" align="right" valign="top"><a id="abdb433913ce16ff3ae297b0340a186df" name="abdb433913ce16ff3ae297b0340a186df"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>mainText</b></td></tr>
<tr class="separator:abdb433913ce16ff3ae297b0340a186df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb1b8e63a78453c3fba3eb27b4eabf4e"><td class="memItemLeft" align="right" valign="top"><a id="adb1b8e63a78453c3fba3eb27b4eabf4e" name="adb1b8e63a78453c3fba3eb27b4eabf4e"></a>
List&lt; <a class="el" href="struct_inspector_specs_u_i.html">InspectorSpecsUI</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>listSpecs</b></td></tr>
<tr class="separator:adb1b8e63a78453c3fba3eb27b4eabf4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe6090ae3f7a7cf71ac0b5d2f18e2858"><td class="memItemLeft" align="right" valign="top"><a id="afe6090ae3f7a7cf71ac0b5d2f18e2858" name="afe6090ae3f7a7cf71ac0b5d2f18e2858"></a>
Dictionary&lt; string, List&lt; <a class="el" href="struct_inspector_specs_u_i.html">InspectorSpecsUI</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>SpecsUI</b></td></tr>
<tr class="separator:afe6090ae3f7a7cf71ac0b5d2f18e2858"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a7bace01ca4ab5ddf4cb80df543fd9e9e" name="a7bace01ca4ab5ddf4cb80df543fd9e9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bace01ca4ab5ddf4cb80df543fd9e9e">&#9670;&nbsp;</a></span>ChangeVivianElement()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ElementPicker.ChangeVivianElement </td>
          <td>(</td>
          <td class="paramtype">VisualElement&#160;</td>
          <td class="paramname"><em>visualElement</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ElementType&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Updates the Vivian UI element with the current template. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">visualElement</td><td>Container element to fill.</td></tr>
    <tr><td class="paramname">type</td><td>Vivian element type.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acd3b224946b891ac45d91ed7f3938017" name="acd3b224946b891ac45d91ed7f3938017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd3b224946b891ac45d91ed7f3938017">&#9670;&nbsp;</a></span>RemoveAllVivianComponents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ElementPicker.RemoveAllVivianComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Removes all the Vivian Components scripts that are attached to the element picker. </p>

</div>
</div>
<a id="af7581458cf7547f28593a35c6bbcb049" name="af7581458cf7547f28593a35c6bbcb049"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7581458cf7547f28593a35c6bbcb049">&#9670;&nbsp;</a></span>UpdateElementPicker()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ElementPicker.UpdateElementPicker </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>element</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Updates the card accordingly to the selected object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">element</td><td>Selected object</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a925765ebdc7b333d74d3dd75560768c5" name="a925765ebdc7b333d74d3dd75560768c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a925765ebdc7b333d74d3dd75560768c5">&#9670;&nbsp;</a></span>UpdateVivianElementTemplate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ElementPicker.UpdateVivianElementTemplate </td>
          <td>(</td>
          <td class="paramtype">ElementType&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>templateName</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Updates the current Vivian element UI template. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>Vivian element type.</td></tr>
    <tr><td class="paramname">templateName</td><td>Name of the template to use from the inspector UI list.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_element_picker_8cs.html">ElementPicker.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_element_picker.html">ElementPicker</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
